Search
K
Policy Transactions

Eligibility Check Billing Feature Change

Evaluates whether the policy is eligible for a billing feature change transaction.

post

Path Parameters

planCodestringrequired

Plan Code

policyNumberstringrequired

Policy Number

Response

application/json

Billing Feature Change Eligibility Success Response

TransactionResponse

statusstring

Allowed values:successfailure

errorarray[object]
Show Child Parameters
quoteResponseobject
post/policy/v1/transactions/{planCode}/{policyNumber}/billingfeaturechange/eligibilitycheck
 
application/json

Validate Billing Feature Change

Validates the billing feature change request against business rules before submission.

post

Path Parameters

planCodestringrequired

Plan Code

policyNumberstringrequired

Policy Number

Body

application/json

BillingFeatureChangeRequest

Request body for billing feature change validation
(POST /bpm/v1/policies/{planCode}/{policyNumber}/billingfeaturechange/validation
and policy API alias).

planCodestring

Plan code (may duplicate path parameter)

policyNumberstring

Policy number (may duplicate path parameter)

caseIdstring

Zinnia Live Case ID

Example:CA0000007389

correlationIdstring

The unique ID to track transaction request across all systems

Example:e3bdb22b-790f-4357-ae60-42cdb0ff0d12

carrierIdstring

Carrier identifier

Example:FNWL

effectiveDatestring(date)required

Effective date for the billing feature change

Example:2026-07-24

transactionReasonstring

Reason for initiating the billing feature change transaction

Allowed values:AMOUNTFREQUENCYPAYMENTDUEDATE

Example:AMOUNT

policyFeaturesarray[object]required

Billing policy feature details for the change request

>= 1 items

Show Child Parameters
signaturesarray[object]

Signature details for billing feature change

Show Child Parameters
documentsarray[object]

Supporting document reference for billing feature change

Show Child Parameters
selfServeFlowboolean

Whether the request originated from a self-serve flow

Example:true

supportingDocumentAttachedboolean

Indicates whether supporting documents are attached

Example:true

Response

application/json

Billing Feature Change Validation Success Response

TransactionResponse

statusstring

Allowed values:successfailure

errorarray[object]
Show Child Parameters
quoteResponseobject
post/policy/v1/transactions/{planCode}/{policyNumber}/billingfeaturechange/validation

Body

{ "correlationId": "e3bdb22b-790f-4357-ae60-42cdb0ff0d12", "effectiveDate": "2026-07-24", "transactionReason": "AMOUNT", "policyFeatures": [ { "featureType": "BILLING", "paymentAmount": 1000, "approvalDate": "2026-07-24", "frequency": "DAILY" } ], "signatures": [ { "isSignedPresent": true, "signDate": "2026-06-26", "signDesignation": null, "signType": "OWNER", "signTypeForUI": "Owner" }, { "isSignedPresent": false, "signDate": null, "signDesignation": null, "signType": "JOINTOWNER", "signTypeForUI": "Joint Owner" } ], "documents": [ { "documentId": "DOC123456", "documentType": "NFO_FORM", "documentDate": "2026-06-26", "caseId": "CA0000007389", "policyNumber": "WL987654321", "planCode": "WL1001" } ], "selfServeFlow": true, "supportingDocumentAttached": true }
 
application/json

Freelook cancellation request

If freelook endDate is less than or equal to policy effective Date, cancel the policy based on the request

post

Path Parameters

planCodestringrequired
policyNumberstringrequired

Policy Number

Body

application/json

FreeLookCancellationRequest

correlationIdstring

The unique ID to track transaction request across all systems

Example:657b717b7dcf554abf9ef067

effectiveDatestring(date)required

Date (with pattern “yyyy-mm-dd”)

Match pattern:([0-9]{4})-([0-9]{2})-([0-9]{2})

transactionAmountsobjectrequired
Show Child Parameters
payeeOrBeneficiaryobject
Show Child Parameters
partiesarray[object]required
Show Child Parameters
reverseInitiatorboolean

Property to isolate source transaction(s) that initiated the reversal

caseIdstring

Zinnia Live Case ID

Example:CA0000007389

Response

application/json

Success

TransactionAcceptedResponse

correlationIdstring

Unique identifier which used by every system to trace the request

Example:3a2a3435-2089-4b81-9959-e0d569ccf4f0

caseIdstring

Zinnia Live Case ID

Example:CA0000369469

caseStatusstring

Zinnia Live Case Status

Example:IN_PROGRESS

pdfIdstring

Identifier for the generated or associated PDF document (e.g. OnBase document number). Returned on systematic program setup and update submit when available.

Example:DOC-10004567

post/policy/v1/transactions/{planCode}/{policyNumber}/freelookcancellation

Body

{ "effectiveDate": "effectiveDate", "transactionAmounts": { "disbursementType": "GROSS", "disbursementPaymentForm": "DTCC" }, "parties": [ { "partyId": "Party_PI_1", "paymentForm": "DTCC", "allocationPercentage": 100 } ] }
 
application/json

Eligibility Check to Set Delivery Date

post

Path Parameters

planCodestringrequired
policyNumberstringrequired

Body

application/json

SetDeliveryDateEligibilityRequest

correlationIdstring

Example:864e43a0-2c2f-4a11-9d7f-69ed40115066

taxIdstring

Example:666911019

documentTypestring

Example:POLPG

Response

application/json

Success

TransactionResponse

statusstring

Allowed values:successfailure

errorarray[object]
Show Child Parameters
quoteResponseobject
post/policy/v1/transactions/{planCode}/{policyNumber}/deliverydatesetup/eligibilitycheck

Body

{}
 
application/json

Set Delivery Date Transaction

post

Path Parameters

planCodestringrequired
policyNumberstringrequired

Body

application/json

SetDeliveryDateRequest

correlationIdstring

Example:864e43a0-2c2f-4a11-9d7f-69ed40115066

taxIdstring

Example:666911019

documentTypestring

Example:POLPG

acknowledgementDatestring(date-time)
reverseInitiatorboolean

Property to isolate source transaction(s) that initiated the reversal

Response

application/json

Success

TransactionAcceptedResponse

correlationIdstring

Unique identifier which used by every system to trace the request

Example:3a2a3435-2089-4b81-9959-e0d569ccf4f0

caseIdstring

Zinnia Live Case ID

Example:CA0000369469

caseStatusstring

Zinnia Live Case Status

Example:IN_PROGRESS

pdfIdstring

Identifier for the generated or associated PDF document (e.g. OnBase document number). Returned on systematic program setup and update submit when available.

Example:DOC-10004567

post/policy/v1/transactions/{planCode}/{policyNumber}/deliverydatesetup

Body

{}
 
application/json